# 原始数据和比对数据的质量控制

> Author：Ren Luyao
>
> Git: http://choppy.3steps.cn/renluyao/RNAseq_QC.git
>
> Email: 18110700050@fudan.edu.cn
>
> Date: 2020/02/09

# APP概述

本APP包含了原始数据质量控制软件FastQC和FastqScreen和比对质量控制软件Qualimap，以及对多样本数据结果整合的multiqc。

# APP输入

本APP只有一个输入即inputSamplesFile，包含了需要计算样本的fastq read1，bam和bam的index。

这个文件是一个txt，tab分隔，第一列是read1的阿里云地址，第二列是bam，第三列是bam index。每一行是一个样本。可查看模版inputSamplesFileExamples.tsv，**注意：#read1	#bam	#bai这一行要删掉**。

```bash
#read1	#bam	#bai
```

将准备好的inputSamplesFile文件上传至阿里云。

choppy samples文件中就填inputSamplesFile在阿里云上的地址。

```bash
# 1. 启动choppy
source activate choppy
# 2. 安装APP
choppy install renluyao/RNAseq_QC
# 3. 获得choppy samples的csv文件
choppy samples RNAseq_QC-latest --output RNAseq_qc_samples
# 4. 编辑samples文件
# samples_id,inputSamplesFile
# samples_id是choppy对workflow的编号，写阿拉伯数字就行
# 即
# 1,inputSamplesFile的阿里云地址
# 5. 提交任务
choppy batch RNAseq_QC-latest --project-name <project_name>
# 6. 查询任务
choppy query -s <workflow_id>
choppy query -s <workflow_id> -m
```



# APP输出结果

所有的结果都会整合进multiqc。从阿里云上下载multiqc模块的输出

1. **multiqc.html**
2. **glob_一大串数字的文件夹**

下载上述文件，将**glob_一大串数字的文件夹**名称改成**multiqc**，双击multiqc.html在浏览器中打开就能查看结果了。

如果需要各模块详细的结果，可下载对应结果。