import "./tasks/fastqc.wdl" as fastqc
import "./tasks/fastqscreen.wdl" as fastqscreen
import "./tasks/qualimap.wdl" as qualimap
import "./tasks/multiqc.wdl" as multiqc

workflow {{ project_name }} {

	File inputSamplesFile
	Array[Array[File]] inputSamples = read_tsv(inputSamplesFile)
	File screen_ref_dir
	File fastq_screen_conf
	File ref_dir
	String fasta

	scatter (sample in inputSamples) {
		call fastqc.fastqc as fastqc {
			input:
			read1=sample[0]
		}

		call fastqscreen.fastq_screen as fastqscreen {
			input:
			read1=sample[0],
			screen_ref_dir=screen_ref_dir,
			fastq_screen_conf=fastq_screen_conf
		}

		call qualimap.qualimap as qualimap {
			input:
			bam=sample[1],
			bai=sample[2]
		}

	}

	call multiqc.multiqc as multiqc {
		input:
		read1_zip=fastqc.read1_zip,
		txt1=fastqscreen.txt1,
		zip=qualimap.zip
	}

}

